Ask Kevin is smarter.
OmniDimension
Bulk calls

Fetch bulk calls

List bulk-call campaigns with pagination and optional status filter.

GET/calls/bulk_call
Query parameters
pagenointeger
pagesizeinteger

Items per page (max 150 — sending more returns 500).

statusstring

Filter by status (e.g. completed).

curl -X GET 'https://backend.omnidim.io/api/v1/calls/bulk_call?pageno=1&pagesize=10' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "status": "success",
  "records": [
    {
      "id": 314,
      "name": "test",
      "campaign_type": "ai_agent",
      "user_id": 1234,
      "user_name": "Demo User",
      "twilio_number": "+15551234567",
      "bot_id": 6337,
      "bot_name": "Customer Support Agent",
      "recording_file_name": null,
      "status": "completed",
      "failed_reason": false,
      "is_scheduled": false,
      "scheduled_datetime": null,
      "create_date": "04/22/2026 22:10:22",
      "concurrent_call_limit": 1,
      "email_report_recipients": "",
      "total_calls": 1,
      "completed_calls": 1,
      "total_calls_made": 1,
      "total_calls_to_dispatch": 1,
      "total_pending_calls": 0,
      "total_not_reachable_calls": 1,
      "total_call_transfer_count": 0
    }
  ],
  "total_records": 31
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Query Parameters

pageno?integer
Default1
pagesize?integer

Items per page (max 150 — sending more returns 500).

Default10
Rangevalue <= 150
status?string

Filter by status (e.g. completed).

Response Body

application/json